create table d_versions (
  s_number    varchar2(12 char) constraint d_versions_c01 not null,
  d_created   date   not null,
  is_enabled  number default 1 not null
) logging nocompress nocache noparallel nomonitoring;

alter table d_versions add (
    constraint d_versions_pk primary key (s_number),
    constraint d_versions_c02 check (is_enabled in (0,1))
);


create table ref_mv_kladr
(
  id             number,
  s_code         varchar2(13 char) not null,
  s_identcode    varchar2(11 char),
  s_identparent  varchar2(11 char),
  s_codestate    varchar2(2 char),
  is_actual      number,
  s_actualcode   varchar2(4000 char),
  s_name         varchar2(40 char) not null,
  n_level        number,
  s_shorttype    varchar2(10 char),
  s_fulltype     varchar2(29 char),
  s_postindex    varchar2(6 char),
  s_gninmb       varchar2(4 char),
  s_uno          varchar2(4 char),
  s_okato        varchar2(11 char),
  s_status       varchar2(1 char)
) logging nocompress nocache noparallel monitoring;
comment on table ref_mv_kladr is '     ';

create table ref_mv_kladr_inact
(
  id             number,
  s_code         varchar2(13 char) not null,
  s_identcode    varchar2(11 char),
  s_identparent  varchar2(11 char),
  s_codestate    varchar2(2 char),
  s_actualcode   varchar2(4000 char),
  s_name         varchar2(40 char) not null,
  n_level        number,
  s_shorttype    varchar2(10 char),
  s_fulltype     varchar2(29 char),
  s_postindex    varchar2(6 char),
  s_gninmb       varchar2(4 char),
  s_uno          varchar2(4 char),
  s_okato        varchar2(11 char),
  s_status       varchar2(1 char)
) logging nocompress nocache noparallel monitoring;
comment on table ref_mv_kladr is '     -  ';

create table ref_mv_street
(
  id             number,
  s_code         varchar2(17 char) not null,
  s_identcode    varchar2(15 char),
  s_identparent  varchar2(11 char),
  s_codestate    varchar2(2 char),
  is_actual      number,
  s_actualcode   varchar2(4000 char),
  s_name         varchar2(40 char) not null,
  n_level        number,
  s_shorttype    varchar2(10 char),
  s_fulltype     varchar2(29 char),
  s_postindex    varchar2(6 char),
  s_gninmb       varchar2(4 char),
  s_uno          varchar2(4 char),
  s_okato        varchar2(11 char)
) logging nocompress nocache noparallel monitoring;
comment on table ref_mv_kladr is '      ';

create table ref_mv_street_inact
(
  id             number,
  s_code         varchar2(17 char) not null,
  s_identcode    varchar2(15 char),
  s_identparent  varchar2(11 char),
  s_codestate    varchar2(2 char),
  s_actualcode   varchar2(4000 char),
  s_name         varchar2(40 char) not null,
  n_level        number,
  s_shorttype    varchar2(10 char),
  s_fulltype     varchar2(29 char),
  s_postindex    varchar2(6 char),
  s_gninmb       varchar2(4 char),
  s_uno          varchar2(4 char),
  s_okato        varchar2(11 char)
) logging nocompress nocache noparallel monitoring;
comment on table ref_mv_kladr is '      -  ';